{%extends "base.html"%}

{%block title%}Register{%endblock%}

{%block content%}

<h1 class = "text-center my-3">Registration Form</h1>
	<div class = "container">
		<div = class="row">
			<div class = "col-6 offset-3">

				{% if is_user_registered == True %}
					<p class = 'text-center text-danger my-2'>Username Already Taken!</p>
				{% endif %}

				{% if successful == True %}
					<p class = 'text-center text-success my-2'>Account Succesfully Created!</p>
				{% endif %}

				<form action = "{% url 'todolist:register' %}" method = "POST">
					
					{% csrf_token %}
				  <div class="mb-3">
				    <label for="username" class="form-label">Username:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="username" 
				    	value = "{{ username }}"
				    	name = "username"
				    	maxlength = "50"
				    	required>
				  </div>

				  <div class="mb-3">
				    <label for="first_name" class="form-label">First Name:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="first_name" 
				    	value = "{{ first_name }}"
				    	name = "first_name"
				    	maxlength = "50"
				    	required>
				  </div>

				   <div class="mb-3">
				    <label for="last_name" class="form-label">Last Name:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="last_name" 
				    	value = "{{ last_name }}"
				    	name = "last_name"
				    	maxlength = "50"
				    	required>
				  </div>

				  <div class="mb-3">
				    <label for="email" class="form-label">Email:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="email" 
				    	value = "{{ email }}"
				    	name = "email"
				    	maxlength = "50"
				    	required>
				  </div>

				  <div class="mb-3">
				    <label for="password" class="form-label">Password:</label>
				    <input 
				    	type="password" 
				    	class="form-control" 
				    	id="password"
				    	name = "password"
				    	value = "{{ password }}"
				    	maxlength="50" 
				    	required>
				  </div>

				  <div class="mb-3">
				    <label for="confirm_password" class="form-label">Confirm Password:</label>
				    <input 
				    	type="check_password" 
				    	class="form-control" 
				    	id="check_password"
				    	name = "check_password"
				    	value = "{{ confirm_password }}"
				    	maxlength="50" 
				    	required>
				  </div>

				  <div class="text-center">
				  	<button type="submit" class="btn btn-success">Register</button>
				  </div>
				  
				</form>
				
			</div>	
		</div>
	</div>

{%endblock%}

<!-- {% if is_user_registered == False %}
	<h1>User Successfully Created!</h1>

	<p>The account for {{first_name}} {{last_name}} has been succesfully created!</p>
{% else%}

	<h1>Duplicate User Found!</h1>
	<p>A duplicate user has been found, user creation unsuccessful</p>
{% endif %} -->